Change log for gnome-chess package in Ubuntu

142 of 42 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-12
Deleted in disco-proposed (Reason: moved to release)
gnome-chess (1:3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <email address hidden>  Mon, 11 Mar 2019 19:58:15 -0400

Available diffs

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-07 (Reason: moved to release)
gnome-chess (1:3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <email address hidden>  Tue, 05 Feb 2019 21:56:22 -0500

Available diffs

Superseded in disco-release on 2019-03-12
Deleted in disco-proposed on 2019-03-13 (Reason: moved to release)
gnome-chess (1:3.31.90-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <email address hidden>  Tue, 05 Feb 2019 21:59:32 -0500

Available diffs

Superseded in disco-release on 2019-02-06
Deleted in disco-proposed on 2019-02-07 (Reason: moved to release)
gnome-chess (1:3.30.0-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Restore -Wl,-O1 to our LDFLAGS
  * Use a relative path for our bindir override
  * Drop unneeded dh_translations override
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <email address hidden>  Sun, 23 Dec 2018 10:21:17 -0500

Available diffs

Superseded in disco-release on 2018-12-24
Published in cosmic-release on 2018-09-05
Deleted in cosmic-proposed (Reason: moved to release)
gnome-chess (1:3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on appstream-util
  * Bump minimum libgtk-3-dev to 3.20.0
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <email address hidden>  Tue, 04 Sep 2018 20:23:35 -0400

Available diffs

Superseded in cosmic-release on 2018-09-05
Published in bionic-release on 2018-04-11
Deleted in bionic-proposed (Reason: moved to release)
gnome-chess (1:3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop libchess-should-be-a-static-convenience-library.patch:
    Applied in new release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <email address hidden>  Tue, 10 Apr 2018 13:12:35 -0400

Available diffs

Superseded in bionic-release on 2018-04-11
Deleted in bionic-proposed on 2018-04-12 (Reason: moved to release)
gnome-chess (1:3.28.0-2) unstable; urgency=medium

  [ Anders Jonsson ]
  * Remove 3D from description (Closes: #891879)

  [ Jeremy Bicha ]
  * Add libchess-should-be-a-static-convenience-library.patch:
    - Cherry-pick patch to avoid providing a shared library

 -- Jeremy Bicha <email address hidden>  Sat, 24 Mar 2018 19:12:34 -0400

Available diffs

Superseded in bionic-release on 2018-03-25
Deleted in bionic-proposed on 2018-03-26 (Reason: moved to release)
gnome-chess (1:3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <email address hidden>  Sun, 11 Mar 2018 11:06:02 -0400

Available diffs

Superseded in bionic-release on 2018-03-12
Deleted in bionic-proposed on 2018-03-13 (Reason: moved to release)
gnome-chess (1:3.27.2-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson

 -- Jeremy Bicha <email address hidden>  Sun, 18 Feb 2018 18:47:49 -0500

Available diffs

Superseded in bionic-release on 2018-02-19
Deleted in bionic-proposed on 2018-02-20 (Reason: moved to release)
gnome-chess (1:3.26.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <email address hidden>  Fri, 02 Feb 2018 08:25:01 -0500

Available diffs

Superseded in bionic-release on 2018-02-02
Deleted in bionic-proposed on 2018-02-04 (Reason: moved to release)
gnome-chess (1:3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <email address hidden>  Thu, 14 Dec 2017 15:35:03 -0500

Available diffs

Superseded in bionic-release on 2017-12-15
Published in artful-release on 2017-09-11
Deleted in artful-proposed (Reason: moved to release)
gnome-chess (1:3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <email address hidden>  Sun, 10 Sep 2017 10:10:10 -0400

Available diffs

Superseded in artful-release on 2017-09-11
Deleted in artful-proposed on 2017-09-13 (Reason: moved to release)
gnome-chess (1:3.25.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depend on vala >= 0.36
  * Drop Drop-use-of-G_MODULE_EXPORT.patch: applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <email address hidden>  Tue, 29 Aug 2017 18:28:02 -0400
Superseded in artful-release on 2017-08-30
Deleted in artful-proposed on 2017-08-31 (Reason: moved to release)
gnome-chess (1:3.25.4-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <email address hidden>  Sun, 13 Aug 2017 16:39:53 -0400
Superseded in artful-release on 2017-08-13
Deleted in artful-proposed on 2017-08-15 (Reason: moved to release)
gnome-chess (1:3.24.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depend on vala >= 0.36
  * Drop revert_require_vala36.patch

 -- Jeremy Bicha <email address hidden>  Tue, 13 Jun 2017 10:19:50 -0400
Superseded in artful-release on 2017-06-13
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
gnome-chess (1:3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release
  * debian/control.in:
    - Bump minimum vala to 0.34.7
  * Drop dont-crash-on-promotion.patch:
    - This workaround is no longer needed with vala 0.34.7

 -- Jeremy Bicha <email address hidden>  Tue, 21 Mar 2017 17:48:03 -0400
Obsolete in yakkety-updates on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to -updates)
gnome-chess (1:3.22.0-1ubuntu1) yakkety; urgency=medium

  * Add dont-crash-on-promotion.patch:
    - Workaround vala bug that caused the game to crash when
      promoting a pawn, thanks angem1 (LP: #1659828)

 -- Jeremy Bicha <email address hidden>  Tue, 21 Mar 2017 11:34:07 -0400
Superseded in zesty-release on 2017-03-24
Deleted in zesty-proposed on 2017-04-07 (Reason: moved to release)
gnome-chess (1:3.23.92.5-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Add revert_require_vala36.patch:
    - Revert unnecessary commit that bumped the minimum vala to 0.36
  * Add dont-crash-on-promotion.patch:
    - Workaround vala bug that caused the game to crash when
      promoting a pawn, thanks angem1 (LP: #1659828)

 -- Jeremy Bicha <email address hidden>  Sat, 11 Mar 2017 13:50:32 -0500
Superseded in zesty-release on 2017-03-12
Deleted in zesty-proposed on 2017-03-14 (Reason: moved to release)
gnome-chess (1:3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <email address hidden>  Mon, 07 Nov 2016 13:19:19 +0100

Available diffs

Superseded in zesty-release on 2016-11-07
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
gnome-chess (1:3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <email address hidden>  Wed, 21 Sep 2016 22:22:50 +0200

Available diffs

Superseded in yakkety-release on 2016-09-26
Deleted in yakkety-proposed on 2016-09-27 (Reason: moved to release)
gnome-chess (1:3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Drop build-dependency on intltool
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Bump dh compat to 10
  * Enable all hardening flags
  * Delete vala stamps to rebuild generated source files

 -- Michael Biebl <email address hidden>  Tue, 30 Aug 2016 13:33:06 +0200
Superseded in yakkety-release on 2016-08-31
Deleted in yakkety-proposed on 2016-09-01 (Reason: moved to release)
gnome-chess (1:3.21.90-0ubuntu1) yakkety; urgency=medium

  * Team upload
  * New upstream release.
  * debian/control.in:
    - Drop build-dependency on intltool
  * Convert from cdbs to dh
  * Add debian/docs to install NEWS
  * Enable parallel builds and all hardening flags
  * Delete vala stamps to rebuild generated source files

 -- Jeremy Bicha <email address hidden>  Wed, 17 Aug 2016 16:09:32 -0400
Superseded in yakkety-release on 2016-08-18
Deleted in yakkety-proposed on 2016-08-19 (Reason: moved to release)
gnome-chess (1:3.20.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Update debian/copyright for upstream relicensing to GPL-3+

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete transitional package glchess.
  * Drop Build-Depends on gnome-common, no longer needed.

 -- Michael Biebl <email address hidden>  Thu, 12 May 2016 17:17:30 +0200
Superseded in yakkety-proposed on 2016-05-13
gnome-chess (1:3.20.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.
  * Update build-dependency according to configure.ac changes:
    - bump libgtk-3-dev to >= 3.19.0

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <email address hidden>  Mon, 18 Apr 2016 18:27:18 +0200
Superseded in yakkety-release on 2016-08-08
Published in xenial-release on 2015-10-24
Deleted in xenial-proposed (Reason: moved to release)
gnome-chess (1:3.18.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <email address hidden>  Fri, 02 Oct 2015 16:54:00 +0200

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
gnome-chess (1:3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Bump libgtk-3-dev to (>= 3.15.0).
    - Bump valac (>= 0.27.1).
  * Update Homepage: URL.
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <email address hidden>  Sun, 14 Jun 2015 14:40:32 +0200

Available diffs

Superseded in wily-release on 2015-06-15
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
gnome-chess (1:3.14.0-1) unstable; urgency=medium


  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Drop build-depends on libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev
    - Bump libgtk-3-dev build-dep to >= 3.13.2,  libglib2.0-dev to >= 2.40.0

 -- Andreas Henriksson <email address hidden>  Fri, 26 Sep 2014 10:41:22 +0200

Available diffs

Superseded in vivid-release on 2014-12-19
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
gnome-chess (1:3.12.3-1) unstable; urgency=low


  * Team upload.

  [ Jeremy Bicha ]
  * debian/control.in:
    - Depend on hoichess and demote other chess engines to Suggests
      per upstream recommendation (LP: #138570)
    - Bump minimum intoltool and vala
    - Drop sqlite dependency
  * debian/gnome-chess.install:
    - AI configuration file moved to /etc/chess-engines.conf

  [ Jackson Doak ]
  * New upstream release (3.12.3)

  [ Luca Falavigna ]
  * debian/control.in:
    - Bump Standards-Version to 3.9.5.
    - Refresh build-dependencies required minimum versions.

 -- Luca Falavigna <email address hidden>  Tue, 15 Jul 2014 21:50:20 +0200

Available diffs

Superseded in utopic-release on 2014-07-16
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
gnome-chess (1:3.8.3-1) unstable; urgency=low


  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * New upstream release.
  * Set <email address hidden> as Maintainer.

 -- Michael Biebl <email address hidden>  Sat, 29 Jun 2013 23:24:35 +0200

Available diffs

Superseded in saucy-release on 2013-06-30
Deleted in saucy-proposed on 2013-07-01 (Reason: moved to release)
gnome-chess (1:3.8.2-1) unstable; urgency=low


  [ Jeremy Bicha ]
  * Package split from gnome-games
  * Add transitional package for rename from glchess

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Swith valac-0.18 build dependency to valac (>= 0.18).

 -- Emilio Pozuelo Monfort <email address hidden>  Sat, 25 May 2013 18:48:35 +0200
Superseded in saucy-release on 2013-05-26
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
gnome-chess (1:3.8.1-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fixes to history feature
    - Fix hang when the Phalanx AI attempts to promote
    - Don't consider the game a draw in certain cases with limited pieces
      remaining
    - Fix play with the GNU Chess v5 AI (Ubuntu 12.10+ uses v6)
    - Update bugzilla component in help (this only affects the new
      Mallard-based help which isn't currently included)
    - Fix ChessState.get_fen() classifying knights as kings
 -- Jeremy Bicha <email address hidden>   Wed, 17 Apr 2013 20:16:19 -0400
Superseded in raring-release on 2013-04-18
Deleted in raring-proposed on 2013-04-19 (Reason: moved to release)
gnome-chess (1:3.8.0-0ubuntu1) raring; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Thu, 04 Apr 2013 17:08:41 +0200
Superseded in raring-release on 2013-04-04
Deleted in raring-proposed on 2013-04-05 (Reason: moved to release)
gnome-chess (1:3.7.90-0ubuntu1) raring; urgency=low

  * Sync with Debian svn

Available diffs

Superseded in raring-proposed on 2013-02-28
gnome-chess (1:3.7.5-0ubuntu1) raring; urgency=low

  * Sync with Debian svn

Available diffs

Deleted in oneiric-release on 2016-11-01 (Reason: (From Debian) RoQA; dead upstream, better alternatives; D...)
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
gnome-chess (0.4.0-3) unstable; urgency=medium

  [ Barry deFreese ]
  * Improve short description and fix typo in long.
  * Set urgency to medium for RC bug fix.
  * Update my e-mail address.
  * Bump Standards Version to 3.8.0. (No changes needed).

  [ Peter De Wachter ]
  * Added watch file.
  * Added dh_gconf in rules. (Closes: #472866)
  * Fixed localization bugs. (Closes: #503735)
  * Fixed a few other obvious bugs

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:23:49 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
gnome-chess (0.4.0-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Barry deFreese ]
  * Add patchsys-quilt.
  * 10_desktop_fixes.diff. (Closes: #464518).
    + Remove deprecated encoding and Application category.
  * Rebuild to pick up libxml dependency. (Closes: #470010).
  * Adjust rules to copy in config.{sub,guess}.
  * Add copyright holders to debian/copyright.
  * Install schemas in /usr/share/gconf/schemas.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:06:57 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
gnome-chess (0.4.0-1) unstable; urgency=low

  * New maintainer.
    + Debian Games Team <email address hidden>.
    + Add myself to uploaders.
  * New upstream release (Closes: #405904, #414062, #407230, #424339)
    + Update for gnome2 (Closes: #460776)
  * Remove all prior patches
  * Update build-deps
  * 001_desktop_encoding.diff - Remove deprecated encoding from desktop file.
  * Bump debhelper build-dep and compat to 5
  * Bump Standards Version to 3.7.3.
    + Use quoted strings in menu file.

 -- Miguel Ruiz <email address hidden>   Thu,  07 Feb 2008 11:33:49 +0000
Superseded in hardy-release on 2008-02-07
gnome-chess (0.3.3-6.1ubuntu1) hardy; urgency=low

  * debian/patches:
    + Added 022_menu_fix.diff to solve missing menu entry (LP: #89353).
    + Added 023_gnome-chess-desktop.diff to fix some problems as result
      of testing with desktop-file-validate.
  * debian/control:
    + Bumped Standards-Version to 3.7.3
    + Modified Maintainer value to match the DebianMaintainerField
      specification.

 -- Miguel Ruiz <email address hidden>   Thu, 24 Jan 2008 01:00:33 -0300
Superseded in hardy-release on 2008-01-24
gnome-chess (0.3.3-6.1build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Luke Yelavich <email address hidden>   Wed, 05 Dec 2007 11:18:43 +1100
Superseded in hardy-release on 2007-12-05
gnome-chess (0.3.3-6.1) unstable; urgency=low

  * NMU
  * Bump to Standards-Version 3.7.2.
  * Remove config.log and config.status in clean target.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 16:23:28 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
gnome-chess (0.3.3-6) unstable; urgency=low


  * Fix problems with gcc 4.0:
    + debian/patches/021-gcc-4.0-fixes.diff: New patch.
    + Closes: #258798 "FTBFS with gcc-3.4: label at end of compound statement"
  * Fix wrong Debian patch:
    + debian/patch/019-assertions.diff: Fixed.
    + Partly addresses bug #247846 "Crashes after a few moves (assertion
      failed)". This fix is not perfect. As Göran Weinholt notes in the
      bug report, assertions are not the way to go, but are a temporary
      stop-gap measure. (Better assertions than unpredicable results.)

 -- Sebastian Rittau <email address hidden>  Sun,  4 Sep 2005 18:16:43 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
gnome-chess (0.3.3-5) unstable; urgency=low


  * Use CDBS.
    + debian/control: Build-Depend on cdbs and debhelper >= 4.1.0.
    + debian/control: Rewrite.
    + debian/patches/*: Put Debian-specific patches here.
  * debian/control: Standards-Version 3.5.10.
  * debian/control: Changed section to gnome.
  * debian/patches/010-position-fixes.diff: Movement was broken.
  * debian/patches/011-warning-fixes.diff: Warning fixes.
  * debian/patches/014-engine-local-fixes.diff: Close channels. Fixes a
    recursive loop that got called if the default chess program was not found.
    + Closes: #188040 "gnome-chess fills my screen with warning windows"
  * debian/rules: Build-Depend on libgtkxmhtml-dev as well.

 -- Sebastian Rittau <email address hidden>  Thu, 12 Jun 2003 03:51:36 +0200
142 of 42 results